import request from '@/utils/request'

/**
 * 严重违法失信  受理呈报审批
 * @param {string} pripids 主体pripid
 * @param {string} enterType 主体类型
 * @author lroyia
 * @since 2021年3月8日 16:22:52
 */
export function saveIllegalAccept(params) {
  const form = new FormData()
  for (const key in params) {
    form.append(key, params[key])
  }
  return request({
    url: '/bizSerIllegal/saveAccept.do',
    method: 'post',
    data: form
  })
}
/**
 * 下一个严重违法名录录入流程节点
 * @param {object}} data 数据
 * @author lroyia
 * @since 2021年2月8日 14:03:18
 */
export function nextIllegalInclusionProcess(data) {
  const form = new FormData()
  for (const key in data) {
    if (data[key]) {
      form.append(key, data[key])
    }
  }
  return request({
    url: '/bizSerIllegal/serIllegalNext.do',
    method: 'post',
    data: form
  })
}
/**
 * 通过业务号查询严重违法名录
 * @param {string} bizSeqId 业务号
 * @returns {array} 严重违法名录
 * @author lroyia
 * @since 2021年2月7日 16:18:20
 */
export function listIllegalByBizSeq(bizSeqId) {
  const form = new FormData()
  form.append('bizSeqId', bizSeqId)
  return request({
    url: '/serIllegalList/list_by_bizseqid',
    method: 'post',
    data: form
  })
}
export function listIllegalByBizSeqAndEntName(bizSeqId, entName) {
  const form = new FormData()
  form.append('bizSeqId', bizSeqId)
  form.append('entName', entName)
  return request({
    url: '/serIllegalList/list_by_bizseqidAndEntName',
    method: 'post',
    data: form
  })
}
/**
 * 通过业务号id删除严重违法名录
 * @param {string} illegalListIds 名录信息号
 * @return {boolean} 删除成功或失败
 * @author lroyia
 * @since 2021年3月8日 18:47:44
 */
export function removeByIllegallistid(illegalListIds, type) {
  const form = new FormData()
  form.append('illegalListIds', illegalListIds)
  form.append('type', type)
  return request({
    url: '/serIllegalList/remove_by_illegallistid',
    method: 'post',
    data: form
  })
}

/**
 * 查询列入严重违法分页
 * @param {object} param
 * @returns 查询结果
 * @author lroyia
 * @since 2021年3月9日 16:54:40
 */
export function illegalPage(pageParam) {
  return request({
    url: '/serIllegalList/illegalPage',
    method: 'post',
    data: pageParam
  })
}

/**
 * 开始严重违法异议经办
 * @param {object} data 提交数据
 * @returns 请求结果
 * @author lroyia
 * @since 2021年3月10日 10:51:49
 */
export function startIllegalDissent(data) {
  const form = new FormData()
  for (const key in data) {
    form.append(key, data[key])
  }
  return request({
    url: '/bizSerIllegalDiss/startBizDissent.do',
    method: 'post',
    data: form
  })
}

/**
 * 下一个严重违法异议流程
 * @param {object} form 表单信息
 * @returns 请求结果
 * @author lroyia
 * @since 2021年3月10日 15:06:30
 */
export function illegalDissNext(form) {
  const data = new FormData()
  for (const key in form) {
    data.append(key, form[key])
  }
  return request({
    url: '/bizSerIllegalDiss/serDissNext.do',
    method: 'post',
    data
  })
}

/**
 * 可移出违法企业分页
 * @param {object} data 分页参数
 * @returns 请求结果
 * @author lroyia
 * @since 2021年3月10日 15:06:30
 */
export function removablePage(data) {
  return request({
    url: '/bizSerIllegalRem/removable/commonPage',
    method: 'post',
    data
  })
}

/**
 * 移出验证判断
 * @param {string} illegallistids 列入记录的id，多个有;隔开
 * @returns 验证结果
 * @author lroyia
 * @since 2021年3月11日 09:59:19
 */
export function validateRem(illegallistids) {
  const form = new FormData()
  form.append('illegallistids', illegallistids)
  return request({
    url: '/bizSerIllegalRem/validateBiz.do',
    method: 'post',
    data: form
  })
}

/**
 * 开启移出任务
 * @param {object} data 参数
 * @returns 开启结果
 * @author lroyia
 * @since 2021年3月11日 11:17:24
 */
export function startRemTask(data) {
  const form = new FormData()
  for (const key in data) {
    form.append(key, data[key])
  }
  return request({
    url: '/bizSerIllegalRem/next.do',
    method: 'post',
    data: form
  })
}
/**
 * 下一个移出任务节点
 * @param {object} data 参数
 * @returns 开启结果
 * @author lroyia
 * @since 2021年3月11日 11:17:24
 */
export function nextRemTask(data) {
  const form = new FormData()
  for (const key in data) {
    form.append(key, data[key])
  }
  return request({
    url: '/bizSerIllegalRem/serIllegalNext.do',
    method: 'post',
    data: form
  })
}

/**
 * 列出严重违法失信企业移出业务记录
 * @param {string} bizSeq
 * @author lroyia
 * @since 2021年3月11日 14:11:39
 */
export function listIllegalRem(bizSeq) {
  const data = new FormData()
  data.append('bizSeq', bizSeq)
  return request({
    url: '/bizSerIllegalRem/listIllegalRem',
    method: 'post',
    data
  })
}
export function listIllegalRemByName(bizSeq, entName) {
  const data = new FormData()
  data.append('bizSeq', bizSeq)
  data.append('entName', entName)
  return request({
    url: '/bizSerIllegalRem/listIllegalRemByName',
    method: 'post',
    data
  })
}
/**
 * 通过移出业务记录id移出业务记录
 * @param {string} remIds 移出信息id，多个;号隔开
 * @author lroyia
 * @since 2021年3月11日 14:11:39
 */
export function removeByRemId(remIds) {
  const data = new FormData()
  data.append('remIds', remIds)
  return request({
    url: '/bizSerIllegalRem/removeByRemId',
    method: 'post',
    data
  })
}

/**
 * 列入文书信息获取
 * @param {string} bizSeqId 业务号
 * @returns 文书信息
 * @author lroyia
 * @since 2021年3月15日 20:36:04
 */
export function getIllegalInclusionDecWrit(bizSeqId) {
  return request({
    url: `/writ/illegal/getInclusionDecisionWritByBizSeqId?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

export function getIllegalInclusionWritByBizSeqId(bizSeqId) {
  return request({
    url: `/writ/illegal/getIllegalInclusionWritByBizSeqId?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 移出文书信息获取
 * @param {string} bizSeqId 业务号
 * @returns 文书信息
 * @author lroyia
 * @since 2021年3月16日 10:16:02
 */
export function getIllegalRemoveDecWrit(bizSeqId) {
  return request({
    url: `/writ/illegal/getRemoveDecisionWritByBizSeqId?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 严重违法失信企业名录异议受理通知书信息获取
 * @param {string} bizSeqId 业务号
 * @returns 文书信息
 * @author lroyia
 * @since 2021年3月16日 10:16:02
 */
export function getIllegalDissentAcceptWrit(bizSeqId) {
  return request({
    url: `/writ/illegal/getDissentAcceptWritByBizSeqId?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 严重违法失信企业名录异议核实结果告知书信息获取
 * @param {string} bizSeqId 业务号
 * @returns 文书信息
 * @author lroyia
 * @since 2021年3月16日 10:16:02
 */
export function getIllegalDissentResultWrit(bizSeqId) {
  return request({
    url: `/writ/illegal/getDissentResultWritByBizSeqId?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 列出异议主体记录信息（含列入文书号）
 * @param {string} bizSeqId 业务号
 * @returns 异议主体信息
 * @author lroyia
 * @since 2021年3月16日 16:28:57
 */
export function getIllegalDissentEntWithWrit(bizSeqId) {
  return request({
    url: `/writ/illegal/getDissentApplyEntInfo?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 列出异议主体记录信息
 * @param {string} bizSeqId
 * @returns 异议主体信息
 * @author lroyia
 * @since 2021年3月16日 16:11:31
 */
export function getIllegalDissentEnt(bizSeqId) {
  return request({
    url: `/bizSerIllegalDiss/listDissentEnt?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 获取审批表信息
 * @param {string} bizSeqId
 * @returns 审批表信息
 * @author lroyia
 * @since 2021年3月16日 16:11:31
 */
export function getIllegalExamineTableInfo(bizSeqId) {
  return request({
    url: `/writ/illegal/getExamineTableInfo?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 获取拟列入预备信息分页
 * @param {object} pageRequestDto
 * @returns 获取结果
 * @author lroyia
 * @since 2021年3月17日 15:38:10
 */
export function getForIllListPage(pageRequestDto) {
  return request({
    url: '/forIllList/getForIllListPage',
    method: 'post',
    data: pageRequestDto
  })
}

export function selectSerillegalPage(pageRequestDto) {
  return request({
    url: '/bizSerIllegal/selectSerillegalPage',
    method: 'post',
    data: pageRequestDto
  })
}
/**
 * 移除拟列入预告清单信息
 * @param {string} ids
 * @returns 获取结果
 * @author lroyia
 * @since 2021年3月17日 16:11:57
 */
export function removeForIllList(ids) {
  const data = new FormData()
  data.append('ids', ids)
  return request({
    url: '/forIllList/removeForIllList',
    method: 'post',
    data
  })
}

/**
 * 获取移出严重违法失信企业名单申请表信息
 * @param {string} bizSeqId 业务号
 * @returns 获取结果
 * @author lroyia
 * @since 2021年3月18日 10:12:09
 */
export function getIllegalRemoveApplyMsg(bizSeqId) {
  return request({
    url: `/writ/illegal/getRemoveApplyMsg?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}
/**
 * 获取移出受理回执文书的信息
 * @param {string} bizSeqId 业务号
 * @returns 获取结果
 * @author lroyia
 * @since 2021年3月18日 10:12:09
 */
export function getIllegalRemAcceptReceiptWritMsg(bizSeqId) {
  return request({
    url: `/writ/illegal/getRemAcceptReceiptWritMsg?bizSeqId=${bizSeqId}`,
    method: 'get'
  })
}

/**
 * 获取统一严重违法失信企业个人待办分页
 * @param {object} pageRequestDto 分页参数
 * @returns 分页结果
 * @author lroyia
 * @since 2021年4月19日 17:30:28
 */
export function getUniIllegalTaskListPage(pageRequestDto) {
  return request({
    url: '/serIllegalList/getUniIllegalTaskListPage',
    method: 'post',
    data: pageRequestDto
  })
}

/**
 * 获取严重违法失信企业个人待办总量
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月19日 17:30:28
 */
export function getIllegalTaskListCount() {
  return request({
    url: '/serIllegalList/getIllegalTaskListCount',
    method: 'get'
  })
}

/**
 * 获取主体所有列严记录
 * @param {string} pripid 主体pripid
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月21日 15:36:11
 */
export function listIllegalRecord(pripid) {
  return request({
    url: `/serIllegalList/listIllegalRecord?pripid=${pripid}`,
    method: 'get'
  })
}

/**
 * 个案办理查询
 * @param {string}
 * @returns 获取结果
 * @author lroyia
 * @since 2021年8月6日 10:56:11
 */
export function entInfoPage(data) {
  return request({
    url: `/bizSerIllegal/entInfoPage`,
    method: 'post',
    data
  })
}

/**
 * 获取新CD73
 * @param {string} codeid codeid
 * @returns 获取结果
 * @author lroyia
 * @since 2021年4月19日 20:38:18
 */
export function getNewCD73() {
  return request({
    url: `/constant/getNewBaseCodeOfIllegal`,
    methods: 'get'
  })
}

/**
 * 严重违法启动经办环节
 */
export function startIncludeIllegal(data) {
  return request({
    url: '/bizSerIllegal/startIncludeIllegal',
    method: 'post',
    data
  })
}

/**
 * 严重违法-下一步环节流转
 */
export function nextProcessInclude(data, params) {
  return request({
    url: '/bizSerIllegal/nextProcessInclude',
    method: 'post',
    data, params
  })
}

/**
 * 严重违法行政处罚通过主键查询信息
 */
export function cppenaltyInfoGsGetById(params) {
  return request({
    url: '/tbIlcPunInfoQuery/getById',
    method: 'get',
    params
  })
}

/**
 * 严重违法行政处罚通通过文书号模糊查询列表
 */
export function likePendecNo(sbookcode, dsrmc) {
  const data = new FormData()
  data.append('sbookcode', sbookcode)
  data.append('dsrmc', dsrmc)
  return request({
    url: '/tbIlcPunInfoQuery/queryForList',
    method: 'post',
    data
  })
}

/**
 * 保存严重违法异议核实结果告知书
 */
export function updateDissWrit(params) {
  return request({
    url: '/bizSerIllegalDiss/updateDissWrit',
    method: 'post',
    params
  })
}

/**
 * 检查是否需要打印
 * @param {string} bizseq
 */
export function checTask(bizseq) {
  const form = new FormData()
  form.append('bizseq', bizseq)
  return request({
    url: '/bizSerIllegalDiss/checTask',
    method: 'post',
    data: form
  })
}

export function querySerllegaHistoryInfo(sapprovecode) {
  const form = new FormData()
  form.append('sapprovecode', sapprovecode)
  return request({
    url: '/serIllegalList/querySerllegaHistoryInfo',
    method: 'post',
    data: form
  })
}

export function querySerllegaHistoryEnt(data) {
  return request({
    url: '/serIllegalList/querySerllegaHistoryEnt',
    method: 'post',
    data
  })
}

export function queryHistorgBizRemInfo(bizSeq) {
  const data = new FormData()
  data.append('SAPPROVECODE', bizSeq)
  return request({
    url: '/bizSerIllegalRem/queryHistorgBizRemInfo',
    method: 'post',
    data
  })
}

/**
 * 严重违法失信名录查询功能接口
 * @param data
 * @returns {AxiosPromise}
 */
export function illegalSearch(data) {
  return request({
    url: '/serIllegalList/illegalSearch',
    method: 'post',
    data
  })
}

/**
 * 综合查询 - 严重违法失信名录导出
 * @param data
 * @returns {AxiosPromise}
 */
export function exportIllegalSearch(data) {
  return request({
    url: '/serIllegalList/exportIllegalSearch',
    method: 'post',
    responseType: 'blob',
    data
  })
}
